Welkom, Gasten
Gebruikersnaam: Wachtwoord: Onthoud mij
12 jan 2019
Diverse hosters zijn van PHP 5.x.x en PHP 7.x.x automatisch overgeschakeld naar PHP 7.3.x. Als je Joomla website en de gebruikte extensies (componenten, plugins en modules) niet up-to-date zijn kan hierdoor je website niet meer werken.
Lees meer...
  • Pagina:
  • 1

Onderwerp: Updates

Updates 6 jaren 6 maanden geleden #1

  • quantz
  • quantz's Profielfoto Onderwerp Auteur
  • Offline
  • Fresh Boarder
  • Fresh Boarder
  • Berichten: 2
  • Ontvangen bedankjes 0
Sinds mijn site www.plantennamen.info Joomla! 3.0 is lukt het updaten niet meer. Ik krijg de volgende foutmelding: Fout
Ongeldige extensie update

Ongeldige extensie update

Iemand een idee hoe dit komt?

Groeten, Maarten

Gelieve Inloggen of een account aanmaken om deel te nemen aan het gesprek.

Re: Updates 6 jaren 6 maanden geleden #2

  • Otto
  • Otto's Profielfoto
  • Offline
  • Administrator
  • Administrator
  • Er bestaan geen domme vragen
  • Berichten: 1249
  • Karma: 1
  • Ontvangen bedankjes 39
Hoi Maarten,

Namens het team van harte welkom op Mijn Joomla Forum.

Er zit in de update naar versie 3.0.3 een bekend issue...kan hem op dit moment alleen ff niet zo snel vinden.
Artenweb.nl creatieve unieke Joomla en VirtueMart websites!
Vragen allen via dit Forum!
KvK: 61932647 - Voor onderscheidende Joomla sites die werken!

Gelieve Inloggen of een account aanmaken om deel te nemen aan het gesprek.

Re: Updates 6 jaren 6 maanden geleden #3

  • Jheroen
  • Jheroen's Profielfoto
  • Offline
  • Gold Boarder
  • Gold Boarder
  • Berichten: 191
  • Ontvangen bedankjes 0
Heb je de instelling voor het updaten op korte termijn gezet?
Met vriendelijke groet, Jheroen Briels
www.joomlapartner.nl , websites - maatwerk - migratie - design
www.joomlahostingsupport.nl , Joomla! hosting - chmodvrij - prima support - concurrerende tarieven
KvK: 32083434

Gelieve Inloggen of een account aanmaken om deel te nemen aan het gesprek.

Re: Updates 6 jaren 6 maanden geleden #4

  • Otto
  • Otto's Profielfoto
  • Offline
  • Administrator
  • Administrator
  • Er bestaan geen domme vragen
  • Berichten: 1249
  • Karma: 1
  • Ontvangen bedankjes 39
Gevonden:

The default settings in the com_joomlaupdate extension config.xml are wrong and preventing users of Joomal 3.0  from being notified of updates

This is a serious security issue!!

Currently the default setting is as follows
Joomla 2.5 => LTS
Joomla 3.0 => LTS

This means that all joomla 2.5 installations will see updates eg 2.5.9, 2.5.10 etc
but that all joomla 3.0 installations will NOT see updates eg 3.0.3, 3.0.4, 3.1, 3.2 etc

// "Long Term Support (LTS) branch - Recommended"
' update.joomla.org/core/list.xml ';

// "Short term support (STS) branch"
' update.joomla.org/core/sts/list_sts.xml ';

As you can see 3.0.3 is a STS release but no one will see it if they have the update component set at the default of LTS

I have proposed a PR to change the default for 3.0 installations to STS

This methodology however also introduces two problems
1. Current 3.0.2 users are not being notified of the release of 3.0.3 - we can see from the download statistics that a little over 1% of 3.0.2 sites have upgraded so we need to find a way to urgently (as its a security release) notify them of the update
2. When 3.5 is released we will have 2 concurrent LTS releases and the code doesnt check for version only LTS status. As 2.5 will still be a supported LTS release for a period overlapping the release of 3.5 this will create confusion. How do we offer a 2.5 update after the release of 3.5

Proposal
1. Accept PR to change the default for 3.x installations to STS (this will resolve future updates)
2. Change the com_joomlaupdate code in 2.5 and 3.x to check the version as well as the LTS/STS status (this will resolve conflicts when more than one LTS release is current
3. Place the 3.0.3 release in the LTS xml feed as a temp measure to enable 3.0 sites to update (not sure how this will effect 2.5 sites set to LTS)

Artenweb.nl creatieve unieke Joomla en VirtueMart websites!
Vragen allen via dit Forum!
KvK: 61932647 - Voor onderscheidende Joomla sites die werken!

Gelieve Inloggen of een account aanmaken om deel te nemen aan het gesprek.

Re: Updates 6 jaren 6 maanden geleden #5

  • quantz
  • quantz's Profielfoto Onderwerp Auteur
  • Offline
  • Fresh Boarder
  • Fresh Boarder
  • Berichten: 2
  • Ontvangen bedankjes 0
Ik vergat te vertellen dat het gaat om extensie updates. Een extensie Advanced module manager en de Nederlandse taalbestanden van Joomla 3.03

Gelieve Inloggen of een account aanmaken om deel te nemen aan het gesprek.

Re: Updates 6 jaren 6 maanden geleden #6

  • Otto
  • Otto's Profielfoto
  • Offline
  • Administrator
  • Administrator
  • Er bestaan geen domme vragen
  • Berichten: 1249
  • Karma: 1
  • Ontvangen bedankjes 39
Heb je de cache al opgeschoond?

:offtopic_happy:
Heb net 2 van mijn test sites op verschillende servers geupdate...die gingen beiden goed. Ook taal en andere extensies.
:ontopic:
Artenweb.nl creatieve unieke Joomla en VirtueMart websites!
Vragen allen via dit Forum!
KvK: 61932647 - Voor onderscheidende Joomla sites die werken!

Gelieve Inloggen of een account aanmaken om deel te nemen aan het gesprek.

Laast bewerkt: door Otto.
  • Pagina:
  • 1
Tijd voor maken pagina: 0.517 seconden
Gemaakt door Kunena
logo mijnjoomlaforum colored puzzle2

MijnJoomlaForum.nl is niet verbonden aan en is geen onderdeel van Open Source Matters, Inc, of het Joomla! project!

Hosted by Otto
Webdesign by Renata
Sitemap

Donatie Knop